#
# spec file for package lha
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lha
Version:        1.14.1~git.20230329
Release:        bp156.1.5
Summary:        Pack Program
License:        SUSE-Public-Domain
URL:            http://lha.sourceforge.jp/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
# Conflict with another lha implementation:
Conflicts:      lhasa

%description
Lha is a packer comparable to ZIP (PKZIP), ZOO, and others. It has been
included for compatibility reasons only. Use GZIP for general archiving
purposes, because it is the standard for Linux.

%prep
%autosetup

%build
autoreconf -fiv
%configure\
  --enable-multibyte-filename=utf8\
  --with-additional-suffixes=lha
%make_build

%install
%make_install

%check
%make_build check

%files
%{_bindir}/lha
%{_mandir}/man1/lha.1%{?ext_man}

%changelog
* Sat May 20 2023 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.14.1~git.20230329:
  * Update lharc.c (#38)
  * Update header.c
  * lha-test20: test-tmp-stdout must be in utf8, even on non-utf8 systems.
  * Fix lha-test20 to count errors correctly.
  * Fix test20 to be timezone independent
  * Change spaces to tab.
  * fix #31
* Wed Feb 26 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.14.1~git.20191005:
  * Should enclose with "" for the non-standard header file.
  * AM_CONFIG_HEADER was deprecated. Thanks to nitro322.
  * Change my e-mail address
  * Move ChangeLog file to olddoc
  * Fix build with GNU libiconv
  * Fix path check
  * Remove unnecessary comments
  * Change skip behavior on extracting.
  * Avoid compile error on libapplefile
  * Fix warning message on extracting symlink.
- Drop lha-automake.patch
- Cleanup spec file
- Enable testsuite during build
* Tue Sep 10 2013 sbrabec@suse.cz
- Updated to the latest SVN shapshot 899:
  * bug fixes
- Port to the latest automake.
* Mon Aug 18 2008 sbrabec@suse.cz
- Updated to the latest SVN shapshot:
  * --with-additional-suffixes configure option
  * extracting read-only directories
  * removes duplicated slashes
  * command line: support for configure options joining
  * support alphabetically unsorted LZH archives
  * documentation updates
  * Japanese file names support improvements
  * English man page instead of outdated Japanese
- Removed obsolete exclusive open patch.
* Mon Jan 14 2008 sbrabec@suse.cz
- Updated to the latest SVN shapshot:
  * Large file support.
  * Big-endian and 64-bit fixes.
* Tue Jul 17 2007 sbrabec@suse.cz
- Updated to the latest SVN shapshot from the new upstream:
  * Integrates all security patches.
  * Code cleanup.
  * Automake based.
  * New command line options.
- Build with stack protector and pie enabled.
* Mon Apr 16 2007 sbrabec@suse.cz
- Set proper CFLAGS: SUPPORT_LH7 and MKSTEMP (#264282).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Fri Jul 23 2004 sbrabec@suse.cz
- Security code review (bug #43081).
* Mon May 17 2004 sbrabec@suse.cz
- Added patch for obscure buffer overflow.
* Fri Apr 23 2004 sbrabec@suse.cz
- Fixed buffer overflows for long filenames (CAN-2004-0234).
- Added directory traversal protection (CAN-2004-0235) (#39178).
* Wed Feb 25 2004 hmacht@suse.de
- building as non-root
* Wed Apr 25 2001 cihlar@suse.cz
- fixed warnings on ia64
* Wed Mar  7 2001 cihlar@suse.cz
- update to version 1.14i
* Tue Feb  6 2001 cihlar@suse.cz
- added -DSYSTIME_HAS_NO_TM
* Wed Jan 10 2001 werner@suse.de
- Add temporary file patch
* Wed Nov 22 2000 cihlar@suse.cz
- update to version 1.11h
- bzipped sources
* Fri Aug 11 2000 cihlar@suse.cz
- update to version 1.14g
- fixed manpage
* Fri Mar  3 2000 kasal@suse.de
- Oops, a few lines in dif were redundant.
* Fri Mar  3 2000 kasal@suse.de
- added buildroot
- moved man page to /usr/share/man/ja
- fixed english manpage install
* Thu Mar  2 2000 uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug  4 1999 kukuk@suse.de
- Add english manual page
* Thu Jan  2 1997 rj@suse.de
- new package version 1.0
